<?xml version="1.0" encoding="ISO-8859-1"?>

<!--
  Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
  PROPRIETARY/CONFIDENTIAL.  Use of this product is subject to license terms.

  MAP Mail Service Definition
-->

<!DOCTYPE ServicesConfiguration
    PUBLIC "=//iPlanet//Service Management Services (SMS) 1.0 DTD//EN"
    "jar://com/sun/identity/sm/sms.dtd">

<ServicesConfiguration>
    <Service name="SunMobileAppMailService" version="1.0">
        <Schema
            i18nFileName="SunMobileAppMailService"
	    serviceHierarchy="/app.configuration/SunMobileAppMailService"
            i18nKey="mailServiceDescription">
            <Global>
                <AttributeSchema name="serviceObjectClasses"
                    type="list"
                    syntax="string"
		    i18nKey="">
                    <DefaultValues>
                        <Value>SunMobileAppMailPerson</Value>
                    </DefaultValues>
		</AttributeSchema>

                <AttributeSchema name="sunConfigurationTemplates"
                                 type="list"
                                 syntax="string"
                                 any="display"
                                 i18nKey="sunConfigurationTemplatesDescription">
                </AttributeSchema>

                <AttributeSchema name="sunMobileAppMailJspNumFolders"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspNumFolders">
                    <DefaultValues>
                        <Value>default|9</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailJspInboxNumLines"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspInboxNumLines">
                    <DefaultValues>
                        <Value>default|9</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailJspMsgNumLines"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspMsgNumLines">
                    <DefaultValues>
                        <Value>default|9</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailJspFromLength"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspFromLength">
                    <DefaultValues>
                        <Value>default|23</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailJspSubjectLength"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="jspSubjectLength">
                    <DefaultValues>
                        <Value>default|23</Value>
                    </DefaultValues>
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailOutboundMailCharset"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="outboundMailCharset">
                    <DefaultValues>
                        <Value>Shift_JIS=ISO-2022-JP</Value>
                    </DefaultValues>
		</AttributeSchema>
            </Global>

            <Organization>
                <AttributeSchema name="sunMobileAppMailDefaultMailDomain"
                    type="single"
                    syntax="string"
                    any="display"
		    i18nKey="defaultMailDomain">
		</AttributeSchema>
	    </Organization>

<!-- TBD as per ID6.0
            <Policy>
                <ActionSchema name="sunMobileAppMailExecutable"
                    type="single"
                    syntax="boolean"
                    any="display"
                    cosQualifier="default"
                    i18nKey="privilege">
                    <DefaultValues>
                        <Value>true</Value>
                    </DefaultValues>
                </ActionSchema>
            </Policy>
-->

            <Dynamic>
                <AttributeSchema name="sunMobileAppMailConfig"
                                 type="list"
                                 syntax="string"
                                 any="display"
                                 cosQualifier="merge-schemes"
                                 i18nKey="appConfig">
                </AttributeSchema>
            </Dynamic>

            <User>
                <AttributeSchema name="sunMobileAppMailSignature"
                    type="single"
                    syntax="paragraph"
                    any="display"
		    i18nKey="signature">
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailPredefinedReplies"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="predefinedReplies">
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailViewClients"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="viewClients">
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailViews"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="views">
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailViewRules"
                    type="list"
                    syntax="string"
                    any="display"
		    i18nKey="viewRules">
		</AttributeSchema>
                <AttributeSchema name="sunMobileAppMailConfig"
                    type="list"
                    syntax="string"
                    any="display"
                    cosQualifier="merge-schemes"
		    i18nKey="appConfig">
		</AttributeSchema>
            </User>

        </Schema>
    </Service>
</ServicesConfiguration>
